summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author James Powell <james4591@hotmail.com>2015-05-29 05:29:24 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-05-31 10:36:20 +0700
commit12051e054c70dd4d1d101588edfce80b7a23e9df (patch)
treecf1d09f74d2f8ce2e91046e2dd23bb570d779a49 /libraries
parent8e935b491a48d3c62e7798b0aa67e0b32d2ad4cb (diff)
downloadslackbuilds-12051e054c70dd4d1d101588edfce80b7a23e9df.tar.gz
slackbuilds-12051e054c70dd4d1d101588edfce80b7a23e9df.tar.xz
libraries/libepoxy: Added (OpenGL library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libepoxy/README10
-rw-r--r--libraries/libepoxy/libepoxy.SlackBuild98
-rw-r--r--libraries/libepoxy/libepoxy.info10
-rw-r--r--libraries/libepoxy/slack-desc19
4 files changed, 137 insertions, 0 deletions
diff --git a/libraries/libepoxy/README b/libraries/libepoxy/README
new file mode 100644
index 0000000000..d8820ca7a2
--- /dev/null
+++ b/libraries/libepoxy/README
@@ -0,0 +1,10 @@
+Epoxy is a library for handling OpenGL function pointer management for you.
+
+It hides the complexity of dlopen(), dlsym(), glXGetProcAddress(),
+eglGetProcAddress(), etc. from the app developer, with very little knowledge
+needed on their part. They get to read GL specs and write code using
+undecorated function names like glCompileShader().
+
+libepoxy can be used during the build process of xorg-server, and if found in
+the system, will be used at build time. This may be used with xorg-server-1.16
+or later versions of xorg-server.
diff --git a/libraries/libepoxy/libepoxy.SlackBuild b/libraries/libepoxy/libepoxy.SlackBuild
new file mode 100644
index 0000000000..0792c7f147
--- /dev/null
+++ b/libraries/libepoxy/libepoxy.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+# Slackware build script for libepoxy
+
+# Copyright 2015 James Powell james4591@hotmail.com Tulare, CA, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libepoxy
+VERSION=${VERSION:-1.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/v$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./autogen.sh \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make -j3
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+[ -f $CWD/doinst.sh ] && cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libepoxy/libepoxy.info b/libraries/libepoxy/libepoxy.info
new file mode 100644
index 0000000000..659ed2467e
--- /dev/null
+++ b/libraries/libepoxy/libepoxy.info
@@ -0,0 +1,10 @@
+PRGNAM="libepoxy"
+VERSION="1.2"
+HOMEPAGE="https://github.com/anholt/libepoxy"
+DOWNLOAD="https://github.com/anholt/libepoxy/archive/v1.2.tar.gz"
+MD5SUM="12d6b7621f086c0c928887c27d90bc30"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="James Powell"
+EMAIL="james4591@hotmail.com"
diff --git a/libraries/libepoxy/slack-desc b/libraries/libepoxy/slack-desc
new file mode 100644
index 0000000000..6f1108a947
--- /dev/null
+++ b/libraries/libepoxy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libepoxy: libepoxy (OpenGL library)
+libepoxy:
+libepoxy: Epoxy is a library for handling OpenGL function pointer management
+libepoxy: for you. It hides the complexity of dlopen(), dlsym(),
+libepoxy: glXGetProcAddress(), eglGetProcAddress(), etc. from the app
+libepoxy: developer, with very little knowledge needed on their part. They
+libepoxy: get to read GL specs and write code using undecorated function
+libepoxy: names like glCompileShader().
+libepoxy:
+libepoxy:
+libepoxy: Home: https://github.com/anholt/libepoxy